Tcl

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Static Public Attributes | Static Protected Attributes
ns::itcl_class Class Reference

Documented itcl class `itcl_class` . More...

List of all members.

## Public Member Functions
| constructor args
| Create object.
| destructor
| Destroy object.
| itcl_method_x arg
| Documented itcl method `itcl_method_x` .
| itcl_method_y arg
| Documented itcl method `itcl_method_y` .
| itcl_method_z arg
| Documented itcl method `itcl_method_z` .

## Static Public Attributes
| itcl_Var
| Documented common itcl var `itcl_Var` .

## Static Protected Attributes
| itcl_var1
| Documented itcl var `itcl_var1` .

## Detailed Description

Documented itcl class `itcl_class` .

## Member Function Documentation

ns::itcl_class::itcl_method_x | arg

Documented itcl method `itcl_method_x` .

param[in] arg Argument

private method itcl_method_x {arg}{}

ns::itcl_class::itcl_method_y | arg

Documented itcl method `itcl_method_y` .

param[in] arg Argument

protected method itcl_method_y {arg} {}

ns::itcl_class::itcl_method_z | arg

Documented itcl method `itcl_method_z` .

param[in] arg Argument

public method itcl_method_z {arg} {}

The documentation for this class was generated from the following file:

- tclexample.tcl